isdn_parm_s Struct Reference
Public interface » ID macros » Driver information

ISDN configuration parameter Notes on isdn_parm_t: More...

`#include <hd.h>`

## Data Fields

struct isdn_parm_s * | next
char * | name
| parameter name
unsigned | valid:1
| 1: entry is valid, 0: some inconsistencies
unsigned | conflict:1
| 1: ressource conflict (eg.
uint64_t | value
| value of the parameter
unsigned | type
| CDBISDN type (P_...).
unsigned | flags
| CDBISDN flags (P_...).
unsigned | def_value
| default value
int | alt_values
| length of alt_value[]
unsigned * | alt_value
| possible values

## Detailed Description

ISDN configuration parameter Notes on isdn_parm_t:

- def_value is only relevant of alt_values != 0
- def_value should be a value out of alt_value[]
- see libihw docu for the meaning of name,type,flags,def_value

The documentation for this struct was generated from the following file:

- hd.h